Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class PropertyChangeProxyTargetBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

All Implemented Interfaces:
  TargetBinding

    public class PropertyChangeProxyTargetBinding

Constructor Summary
`PropertyChangeProxyTargetBinding(java.lang.Object proxyObject, java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

Method Summary
`void` | `updateTargetValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyChangeProxyTargetBinding

    public PropertyChangeProxyTargetBinding(java.lang.Object proxyObject, java.lang.String propertyName, java.beans.PropertyChangeListener listener)

Method Detail

### updateTargetValue

    public void updateTargetValue(java.lang.Object value)

Groovy Documentation